ExpirationDetector (Apache Geode 1.7.0)
Date: 2018-09-27

org.apache.geode

## Class ExpirationDetector

- java.lang.Object
- - org.apache.geode.ExpirationDetector

- All Implemented Interfaces:
    org.apache.geode.internal.cache.ExpiryTask.ExpiryTaskListener

      public class ExpirationDetector
      extends java.lang.Object
      implements org.apache.geode.internal.cache.ExpiryTask.ExpiryTaskListener

  Used to detect that a particular ExpiryTask has expired.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExpirationDetector(org.apache.geode.internal.cache.ExpiryTask expiry)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterCancel(org.apache.geode.internal.cache.ExpiryTask expiryTask)`
    `void` | `afterExpire(org.apache.geode.internal.cache.ExpiryTask expiryTask)`
    `void` | `afterReschedule(org.apache.geode.internal.cache.ExpiryTask expiryTask)`
    `void` | `afterSchedule(org.apache.geode.internal.cache.ExpiryTask expiryTask)`
    `void` | `afterTaskRan(org.apache.geode.internal.cache.ExpiryTask expiryTask)`
    `void` | `awaitExecuted(long timeout, java.util.concurrent.TimeUnit unit)`
    `boolean` | `hasExpired()`
    `boolean` | `wasRescheduled()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExpirationDetector

          public ExpirationDetector(org.apache.geode.internal.cache.ExpiryTask expiry)

  - ### Method Detail

    - #### afterCancel

          public void afterCancel(org.apache.geode.internal.cache.ExpiryTask expiryTask)

      Specified by:
        `afterCancel` in interface `org.apache.geode.internal.cache.ExpiryTask.ExpiryTaskListener`

    - #### afterSchedule

          public void afterSchedule(org.apache.geode.internal.cache.ExpiryTask expiryTask)

      Specified by:
        `afterSchedule` in interface `org.apache.geode.internal.cache.ExpiryTask.ExpiryTaskListener`

    - #### afterReschedule

          public void afterReschedule(org.apache.geode.internal.cache.ExpiryTask expiryTask)

      Specified by:
        `afterReschedule` in interface `org.apache.geode.internal.cache.ExpiryTask.ExpiryTaskListener`

    - #### afterExpire

          public void afterExpire(org.apache.geode.internal.cache.ExpiryTask expiryTask)

      Specified by:
        `afterExpire` in interface `org.apache.geode.internal.cache.ExpiryTask.ExpiryTaskListener`

    - #### afterTaskRan

          public void afterTaskRan(org.apache.geode.internal.cache.ExpiryTask expiryTask)

      Specified by:
        `afterTaskRan` in interface `org.apache.geode.internal.cache.ExpiryTask.ExpiryTaskListener`

    - #### awaitExecuted

          public void awaitExecuted(long timeout,
                                    java.util.concurrent.TimeUnit unit)

    - #### wasRescheduled

          public boolean wasRescheduled()

    - #### hasExpired

          public boolean hasExpired()